2017-10-21  David Tardon  <dtardon@redhat.com>  [85529f5490b7b5d8ec3e8231db3b5640bce58839]

	be explicit

	Change-Id: I7b140fe35f32c96f51f21c67597a9e759cdca9e8

2017-10-21  David Tardon  <dtardon@redhat.com>  [a0694f22ddf9ba2fa8a33940ac4761d48b0eef46]

	check length, not number of elements

	Regression since commit cf0303b0ca57d3f54aa50686d38aaa149c02d034
	"oss-fuzz: avoid big allocations".

	Change-Id: Ib0520513469d1de8c00085d1a86b9885b67873da

2017-10-21  David Tardon  <dtardon@redhat.com>  [3f9664f3a99c320e44f8c1c5522dee7bf11e0bfa]

	source files are included automatically

	Change-Id: If54011a933d9ec43b58e568454d3b423da61565c

2017-10-21  David Tardon  <dtardon@redhat.com>  [b91ec4938fbe3b9d9e74b9d509ef4fdb8eb05246]

	add coverity to NEWS

	Change-Id: I286544c96c55d81c44d52c5a6a1fdc591287b451

2017-10-21  David Tardon  <dtardon@redhat.com>  [d68dfb12140593c36526ba0bb6495300dbc974fe]

	cid#1312142 sanitize loop bound

	Change-Id: I08e9f51af44929e41bd68f3fae843105eb2c6930

2017-10-21  David Tardon  <dtardon@redhat.com>  [ef52a208b720a6f6e3c748ab51ee19c859e9e186]

	cid#1256666 sanitize loop bound

	Change-Id: Ib853772be55563f2ccd548f866ec299d7b906d6a

2017-10-21  David Tardon  <dtardon@redhat.com>  [99e5b63aae2e154be920edd789a4a2236af10c92]

	cid#1219709 sanitize loop bound

	Change-Id: I199555c4b59d837af7e30cd7f8c6f643b3f23a5e

2017-10-21  David Tardon  <dtardon@redhat.com>  [895f7ec3c28b498b7a293a40596c24a7dcb76e30]

	cid#1219708 sanitize loop bound

	Change-Id: I60bd5e3862ea1cca18089c0f65c40e4cc3173832

2017-10-21  David Tardon  <dtardon@redhat.com>  [3d563913b415e461781f6ed02a2cf1eceb3997c2]

	cid#1219707 sanitize loop bound

	Change-Id: Idc3ffb4f82122e228f11af4ca5c08b9b988f2c98

2017-10-21  David Tardon  <dtardon@redhat.com>  [74ea3694d6a341c9821edd958fd647fbb0458273]

	cid#1325211 fix logic

	Change-Id: I62fb5bec286444c4cc6099d00474bf260f4ae35b

2017-10-21  David Tardon  <dtardon@redhat.com>  [b1fe6905534d6e35ac4ef8b3d3266f1a83a772cd]

	cid#1419957 rewrite to avoid coverity warning

	Change-Id: I4c1f1e3f7011c35625c8c56afa9ddf04d1217aa3

2017-10-21  David Tardon  <dtardon@redhat.com>  [61419371f3dceaa6a959a22f77f431966c9689f5]

	add test for seek to end

	Change-Id: Iab6177acc5ae4ca78b34b4110d9c0e725d8d5d87

2017-10-21  David Tardon  <dtardon@redhat.com>  [a77b8691322b469d2a35e2a287f81728bd0329a5]

	implement seek to end for internal stream

	Change-Id: Iad3b402e5de853dd851012344682c55affa0c9de

2017-10-21  David Tardon  <dtardon@redhat.com>  [5e2a48e31ed0208ce59bbfd6beb1b3977ec75538]

	prepare for a release

	Change-Id: I12d0d8e4d99a588bc8683d6cfb821718fbde4ff2

2017-10-20  David Tardon  <dtardon@redhat.com>  [aef4af08f5a2a6e3301cfe3088975820185da81d]

	drop pointless casts

	Change-Id: I2ac4f2922acd2f789bb1c7322c0d888ab1f31d0c

2017-10-20  David Tardon  <dtardon@redhat.com>  [04611b9f26cce0e7aa6c9901ae389243239ebc95]

	ofz#2686 fix division by 0

	Change-Id: I853d263718a20f06e5bf5f8d834ca32be0a23023

2017-10-19  David Tardon  <dtardon@redhat.com>  [916a0cf635f351e22b44de27ba42e9654b4ee29f]

	ofz#2521 fix OOB read from vector

	Change-Id: Ia6b08452dca71ae68bb0e9f2692ffdd75da9f537

2017-10-17  David Tardon  <dtardon@redhat.com>  [dc81ff725f10744ee9455a55b3c627bc02b78ab1]

	ofz#3646 limit the max. degree of NURBS even more

	Change-Id: I4b48e78aca4953d60d5a2a5fab7869c0a292cc21

2017-10-17  David Tardon  <dtardon@redhat.com>  [c32345e7eb1890d9f52f3dc02acc0952dd81e53f]

	avoid excessive reallocations

	Change-Id: Ibb224bb7f7854343fd336cf78f81a71a433f72af

2017-10-17  David Tardon  <dtardon@redhat.com>  [8bbd72308c0968084bb55173192863ca9554241c]

	restrict scope of var

	Change-Id: Ie6af8b5408b6dc8d5920843aafd92e935ef4df42

2017-10-17  David Tardon  <dtardon@redhat.com>  [20e3d231bed64917a9f683541100cf53e98c26c5]

	drop always-true tests

	Change-Id: I1788036303edb2837bbb1d77dbbc5a431f3293c3

2017-10-17  David Tardon  <dtardon@redhat.com>  [329afd8d1461b28a0ef5fcf9da21bec960eb7257]

	avoid needless reallocations

	Change-Id: Id6af494bb71734f52a4d8c3ac094f917ff448538

2017-10-17  David Tardon  <dtardon@redhat.com>  [879c3044e33c1b971cf9146a3ea4571a9ae60b4d]

	this cannot happen here

	Change-Id: Ibecaa5e63fee6ee23657ef395b6fe5aa920a7da1

2017-10-17  David Tardon  <dtardon@redhat.com>  [dc367e0d199940c55469dcb73649f326872375f3]

	ofz#3520 limit the possible NURBS degree

	Change-Id: If64244416d30e6356828c68e95cb22f318afeea9

2017-10-16  David Tardon  <dtardon@redhat.com>  [febad4fdada8e2953d2dbd784e692daabfe25435]

	drop outdated Windows build files

	Change-Id: Iff3971bf3525ea3d91d7100d583dee4e11d00628

2017-10-16  David Tardon  <dtardon@redhat.com>  [d37e5ea5d633307a9b828ba67141520112999cad]

	fix rounding regression

	... caused by commit c156c530df29972d6c9391348ec4351809cfd2e2 .

	Change-Id: I83b50b5d0c31e5c58ea812ed007e6b40ea009883

2017-10-13  David Tardon  <dtardon@redhat.com>  [4dd36e94494ad7cebf50595bd8be199dee8dda6d]

	Revert "use VSD_ALMOST_ZERO macro consistently"

	This reverts commit 2501d71f919cc3234718634eda82fd81ba9c9e78.

	Change-Id: I5f1ebfac9880a16a3821df2027f048f4a4140c0f

2017-10-09  David Tardon  <dtardon@redhat.com>  [4048f8c6d0bcef296e223dea1071ab11c4643030]

	zlib hasn't been needed since the switch to librevenge

	Change-Id: Ia2de012292ae6121da7ca14ac99890492add663d

2017-09-28  David Tardon  <dtardon@redhat.com>  [b068c3252bb6791077c8e5df166542e96e35ec9f]

	avoid output from fuzzers

	Change-Id: I95dfbaf6f03892726b43f90e072f0122d4d971bb

2017-09-26  David Tardon  <dtardon@redhat.com>  [93a653b83a8a22a674d74b876fb09cc2ad4a8994]

	avoid possible leak

	Change-Id: I3364eb94f626d5507d296bf322856e2452795e87

2017-09-26  David Tardon  <dtardon@redhat.com>  [7739316072ae4a95b1225067b944828429380fd7]

	ofz#3210 do not leak string

	Change-Id: I5e0127e59438345a51c7037be64edf9ee5f3f565

2017-09-19  Miklos Vajna  <vmiklos@collabora.co.uk>  [f958f47bf16eb932c6e6aa3caebdde67470cd705]

	Convert explicit for loops to range-based ones where possible

	This is most useful in libvisio::VSDMetaData::readPropertySetStream() to
	avoid repeating ourselves.

	Change-Id: Ieeca010476c776589b56b145f5b973eec86001fe

2017-09-18  Miklos Vajna  <vmiklos@collabora.co.uk>  [7cf4bf3b624fadb327a54c63d880ee664e8434b5]

	Convert 0 to nullptr where it's used as a pointer value

	To make the code easier to read, because this means the remaining zeros
	all mean numbers.

	Change-Id: I677df217aae81e15496d47a93daaab633d8b903f

2017-09-13  Miklos Vajna  <vmiklos@collabora.co.uk>  [f6c7fe7974fae43cc98c061f4a47d55a422d2d16]

	Mark overriding member functions as 'override'

	This does not affect the generated code (API or ABI), but:

	1) Makes sure that in case the signature of one of these functions would
	change by accident, the build breaks as the function no longer overrides
	a base function.

	2) Makes the code readable by explicitly marking all overriding
	functions as 'override', where previously the reader had to read the
	interface of the base class(es) as well to find out if the function is
	virtual or not.

	3) Since 'override' implies 'virtual', remove the 'virtual' keyword
	where 'override' is present.

	Change-Id: I482cbb5d22726b9a16c0f445fb945c24c69a5dd0

2017-09-11  David Tardon  <dtardon@redhat.com>  [634a8eacdb0e06bd3e171e963d4a57f742da4b33]

	fix build with older boost

	Change-Id: I3a2e6d9d9e554f9e2ad010219379f5f61c5f8c25

2017-09-10  Miklos Vajna  <vmiklos@collabora.co.uk>  [75d6778cba55b8ebfc47058c9d5ab058c779d603]

	m4: MSVC defines __cplusplus as 199711L still

	See e.g.
	<https://stackoverflow.com/questions/37503029/cplusplus-is-equal-to-199711-in-msvc-does-it-support-c11>,
	on MSVC we can't depend on the value of __cplusplus, since that one is a
	too low value, even if everything else works fine.

2017-09-08  David Tardon  <dtardon@redhat.com>  [0089be571831d162c6460aea7be2003822bdc91d]

	tests need librevenge-stream

	Change-Id: I54aad8e63223f9dd40e2a8a9a60c887b65dc5f56

2017-09-08  David Tardon  <dtardon@redhat.com>  [7eeb092a87c3e233769aa292e9d012aff06c1927]

	assume modern enough ICU is available

	Change-Id: I07a995aaa13af07f44642afd38d711555d23c37b

2017-07-29  David Tardon  <dtardon@redhat.com>  [57777755a70ac2e9522963ff037f55edccb483e6]

	do not append UTF-8 chars by code unit

	Change-Id: I9b0279b99d59ab69c1d720e865462b4e03b671bc

2017-07-29  David Tardon  <dtardon@redhat.com>  [0a7e952f63add0b2127be11dc8371f9c037160c5]

	fix debug build

	Change-Id: Ic475c5808bae006d34a95d530c0a7f7e69e399f4

2017-07-07  David Tardon  <dtardon@redhat.com>  [4c9f3fd5cf1de3e4c6c0d28b848b0d496cc24f0a]

	ofz#2477 avoid divide by zero

	Change-Id: I952670a60a0a8133509178449ac89dfad2091213

2017-07-04  David Tardon  <dtardon@redhat.com>  [4207a1089a13726cbcf1b6e74d80f146544b7b8c]

	ofz#1431 reject NURBS that do not have enough control points

	Change-Id: I1ea6345ecb5b3f4f2d0979149dad103829c81bfa

2017-07-03  David Tardon  <dtardon@redhat.com>  [246155061002dc7e373f9cad435ff4382f4ff000]

	ofz#2335 avoid divide by zero

	Change-Id: Icdc998f3415be6b70612305320faf2e08160f279

2017-07-03  David Tardon  <dtardon@redhat.com>  [2501d71f919cc3234718634eda82fd81ba9c9e78]

	use VSD_ALMOST_ZERO macro consistently

	Change-Id: I8a40d35ac9a90d1e1683172dbff27bfd3250428c

2017-06-20  David Tardon  <dtardon@redhat.com>  [c156c530df29972d6c9391348ec4351809cfd2e2]

	ofz#2307 avoid division by 0

	Change-Id: I963ea7f7d7349c2614572b101be559b2f365a803

2017-06-20  David Tardon  <dtardon@redhat.com>  [d131eedbeb087f4eae263a927ed1c253e30d007b]

	ofz#2268 avoid division by 0

	Change-Id: Iaa07db26a677557499c9a1dc8cd4ce47c283aa2b

2017-06-20  David Tardon  <dtardon@redhat.com>  [40a0f2216a4279942d2f8c367ff59d843062086c]

	ofz#2252 avoid division by 0

	Change-Id: Icb58538864ce87554b2777de9177995166ed2795

2017-06-20  David Tardon  <dtardon@redhat.com>  [e5d9a09912e484db5fa9c62e27b2a1f4e13e065a]

	use std::hypot

	Change-Id: Ie15d7b3727077a45ec69e1727785a8ce16f5fafc

2017-06-20  David Tardon  <dtardon@redhat.com>  [8e38c802d6631b4ec36a422be66fc2f12835b4db]

	ofz#2248 avoid division by 0

	Change-Id: Ic77513d0f7d315122c5c396e2e09d39cfc6e4cc8

2017-06-06  David Tardon  <dtardon@redhat.com>  [229da5c2e86171d2a61f183759727f8c7d77c66f]

	astyle

	Change-Id: I2e5c31ba030aff764e2c52278e09ae09cf6e1909

2017-06-02  David Tardon  <dtardon@redhat.com>  [b467040741d865b97035205ac0f77986be4a0fe7]

	disable -Werror by default

	Change-Id: Iffc50c0ef2d3d2fd193875ded0326610eab85537

2017-06-02  David Tardon  <dtardon@redhat.com>  [7789cba30b3f3a2554d8d047aad6d953a50aea3b]

	WaE: fix name collision with Boost.Spirit

	Change-Id: I2293dce01e402ea0798213df215989662ee44aaf

2017-05-16  David Tardon  <dtardon@redhat.com>  [38692886d9f7e9f4bfb0f043d2019d6abf20c46b]

	nitpick

	Change-Id: I48aebd0207376719f70bf590709a3df0eb3452df

2017-05-16  David Tardon  <dtardon@redhat.com>  [1b35448f766f9baffc1482da0e75360168f76f24]

	drop :: prefix

	Change-Id: Iae34b40ce6fb2f99badf91fb7f97523f123ffcd4

2017-05-15  David Tardon  <dtardon@redhat.com>  [6a71379ad6a70b2b0e24400bb668d0accb3c9ab2]

	drop unneeded macro

	Change-Id: I352f2938e57ac93f8c787732cdd4757743fed901

2017-05-15  David Tardon  <dtardon@redhat.com>  [f5f362797c76285216e46649970d0928135eeb81]

	move from Spirit.Classic to Qi

	Change-Id: I75e25d7b3430a9fc40cb8f8e79f53c12b6754c4e

2017-05-15  David Tardon  <dtardon@redhat.com>  [d095eb768180f86df4f939d86f3debf3a7078872]

	ofz#1000 avoid stack overflow

	Change-Id: Ie570417aa0c6c8a3eefcaf954fd572f4a82308f2

2017-05-05  David Tardon  <dtardon@redhat.com>  [214b5930a63e1f1652dd7a7e27a62627385bc6d9]

	avoid possible overflow

	Change-Id: I30d60ba7964fc731be1706edc864afa22882b9a2

2017-05-04  David Tardon  <dtardon@redhat.com>  [8bcfc95cb59c60c4035d8752c2341137f0c6c3af]

	ofz#1291 band-aid for out-of-bounds access

	Change-Id: I9958903a5e68c2397c9e6948034a6e43114e4694

2017-04-30  David Tardon  <dtardon@redhat.com>  [c420a080601063b2ad1b5473b4912fd0ad2b99d3]

	add additional sanity check

	Change-Id: I49a521d994b21e6eb35ac111eeb8f7d7b282d8df

2017-04-30  David Tardon  <dtardon@redhat.com>  [ee0b00cf94fe9bd3c05d63f6ec91a692c5fee7b3]

	add additional sanity check

	Change-Id: I35caa3cd2a5a0434095258a5fcb967d025123cf7

2017-04-29  David Tardon  <dtardon@redhat.com>  [6d7de66c8c48d56e0c4c9a84e6c1c2860b8b8508]

	add additional sanity check

	Change-Id: I3be2260c01e07a5c0e6337f6f9b1866990ac35df

2017-04-24  David Tardon  <dtardon@redhat.com>  [7c24597e20d6405814b137bb6750b04c090f2763]

	ofz#1256 don't let any exception through

	Change-Id: Ifbaad9bbf825c2be3df53f0f277f76acd6e3d3f2

2017-04-23  David Tardon  <dtardon@redhat.com>  [f0020452ade5eb48fb6e2c68b4c781e3069f2686]

	simplify the check

	Change-Id: I3a1f9cde30105d6d2f6d1159f09c94a0a6ad56c0

2017-04-23  David Tardon  <dtardon@redhat.com>  [82366ddc1bb6a69e675f3660f0fe48d7dda12e6e]

	there's nothing throwing an exception in the try block

	Change-Id: I9caabef5080dd6bf3ef35346e33e401433e57d53

2017-04-23  David Tardon  <dtardon@redhat.com>  [09a06c334933593259393748fc3d76d8869c4342]

	shorten code by using smart ptrs

	Change-Id: I4510fc441e8ff55cf86d7e0ac2856d630d190f23

2017-04-23  David Tardon  <dtardon@redhat.com>  [4cb1b65766178ebbaac67da7189cad1fe47fdc2d]

	ofz#1248 fix null ptr deref.

	Change-Id: I925070d1cad5b04eb02c5a6d095c83bbe88d3a80

2017-04-20  David Tardon  <dtardon@redhat.com>  [ce4e77cc8c716db1080bdebd63393268ff075aa6]

	avoid possible null ptr deref.

	Change-Id: I61807799dd0a36d9796d4580d85068207e92e26b

2017-04-19  David Tardon  <dtardon@redhat.com>  [eb22461a45c1b134b1e5c7f88b745b682d8d294e]

	avoid unchecked allocation

	Change-Id: Iea7abc4a13fb93e5aad92c32cc7def5ccc6e4ceb

2017-04-19  David Tardon  <dtardon@redhat.com>  [29c53340aed49696fe621cb9880934d64a0a26dd]

	ofz#1032 avoid unchecked allocation

	Change-Id: Ia6600a3592a05e2a5b875b8cbf30e75f7804fb5e

2017-04-19  David Tardon  <dtardon@redhat.com>  [00228a945bbe026fcfa9af039ee81d4667f7b7b4]

	ofz#1169 avoid null ptr deref.

	Change-Id: I5b4d1390048519c907f0caed4a9341757bb866b2

2017-04-18  David Tardon  <dtardon@redhat.com>  [260183803863967f2923dd2787f076f1cead3f0e]

	ofz#1150 avoid out-of-bounds access to controlPoints

	Change-Id: I82e1040d4dc3f0e688b49d949559a5a770127cf3

2017-04-17  David Tardon  <dtardon@redhat.com>  [ed6c411a41b66e2320835a68570eeb21eda4a207]

	use std::unique_ptr to manage current stencil

	Change-Id: I62385c2e6a930186fe9469dbd609052f8cfb5a33

2017-04-17  David Tardon  <dtardon@redhat.com>  [06cd52a14cb5d342637e7d6673e5f68ea38638f5]

	ofz: check if there is a stencil before using it

	Change-Id: Ib1fa347e007e84a2909449bf0a3bb73a55ca4d4f

2017-04-17  David Tardon  <dtardon@redhat.com>  [7700c5c7fddeb9ab9662fd52a6b18f81e74fa342]

	add vdx fuzzer

	Change-Id: I036d1236fb500213847ae35133f61fe2d1a251b1

2017-04-17  David Tardon  <dtardon@redhat.com>  [945c773e1fba31201d6309cbcf479e5e6c07e2dc]

	add vsdx fuzzer

	Change-Id: I44c46a519c3115abc10827bfd696de30a24fdcd0

2017-04-15  David Tardon  <dtardon@redhat.com>  [439c1f927530f80f140c770a1757758ca20a2ba6]

	the argument is not needed

	Change-Id: Ia767f7f6299b46132458ad88c4e7887993a1595b

2017-04-15  David Tardon  <dtardon@redhat.com>  [d414b1f2dbe40a460c56a0c9e327c98bfe7d45a8]

	add __attribute__((format)) to debugPrint

	Change-Id: I3bf566dee03fb7f2f15ecae14ac0001e4f26ba72

2017-04-15  David Tardon  <dtardon@redhat.com>  [377f9c9da04f204afce4fd186d76ac0dcd85d96e]

	drop verbose debug

	Change-Id: I5c0e4880124deae64b9dd436767d09e372860842

2017-04-15  David Tardon  <dtardon@redhat.com>  [98f452861b27bfe33252badf3c81e56d7ae3c1e6]

	replace manual def. of int types by boost

	Change-Id: I65693186fbb77df00feded3b9b62568f95830046

2017-04-15  David Tardon  <dtardon@redhat.com>  [a77d75a76538c0217613ec59bff8a2494b61601b]

	avoid self-assignment

	Change-Id: I57eb9e74fbe3430fb99d13505865e7b5633d85bf

2017-04-15  David Tardon  <dtardon@redhat.com>  [66854863c4ea412f2ce11c2ca4c4dc4fa373f9fa]

	simplify container traversal

	Change-Id: Id2e19536a679a62f0ff7da398e44aeeca0de8ce5

2017-04-15  David Tardon  <dtardon@redhat.com>  [ac6dd7ff5f0156e3f5ed322a1d8c96b93bf04fbd]

	the dtor does not need to be virtual

	Change-Id: I57cdfd7469b979d29da7f82e2495c183e08ac299

2017-04-15  David Tardon  <dtardon@redhat.com>  [0a9bbb5cd3d9d9fec4b2e7cc81f89cfff6c27e44]

	avoid manual memory management

	Change-Id: Idd0c24ea2008303b948040d3cca9faf97481426c

2017-04-15  David Tardon  <dtardon@redhat.com>  [3bc1019910b759c4f27e0ff5f070eec1eeddc2a2]

	avoid manual memory management

	Change-Id: If6557a9222cf6183b6e14ff2bcab134d8215dce5

2017-04-15  David Tardon  <dtardon@redhat.com>  [511dcb3dd6525f501ebed2f3f33472982972e34e]

	explain what is being done

	Change-Id: I9036aba359ce62bd7b3cbbd912626dcc12f7819f

2017-04-15  David Tardon  <dtardon@redhat.com>  [d23fcf032369c9d68ce0d8e2262e3f25a5a83342]

	ofz#1109 fix thinko

	Change-Id: I45375acaf09e3bd9ce821c7aa7edcd357e120d2d

2017-04-13  David Tardon  <dtardon@redhat.com>  [a112df73521975f5cbdd8d98e55fb04b3c941a55]

	ofz: avoid division by 0

	Change-Id: I2acea8d91e0fcae0b1d0d93a330730cdd1d449fc

2017-04-13  David Tardon  <dtardon@redhat.com>  [c04bd767cae4d4896e9069ba437167dfb29ddbfb]

	ofz: nothing to be done for empty data

	Change-Id: If345b75ceffabe2c58e66b7b8fefdb5a1e376c3f

2017-04-07  David Tardon  <dtardon@redhat.com>  [d8ee1ffbf7b2918e927a96502fd182cfcf50e1f6]

	ofz#989 do not leak existing field with the same ID

	Change-Id: Iac76df2ae09965732ae5fd42036fdb59886f071f

2017-04-07  David Tardon  <dtardon@redhat.com>  [ad74fbdf0dadd419d02078f48e3a19cd8dd7a8f5]

	drop unused includes

	Change-Id: I4d75bfb583a7a5a7698b672b31ed139c439dc8f2

2017-04-07  David Tardon  <dtardon@redhat.com>  [c41531b797af11b52dac75a88445090a8ec86339]

	boost::shared_ptr -> std::shared_ptr

	Change-Id: I873a476e8428c8c3ca0a45d721d5ba3b300a33b4

2017-04-07  David Tardon  <dtardon@redhat.com>  [9ed04deb8286d87446ee211ee3f3ccd36ec8b874]

	switch to C++11

	Change-Id: I5e5f66968da458d8b3c8455b77b1bd9289c83e40

2017-04-07  David Tardon  <dtardon@redhat.com>  [beb4eaead00835cde8e87becb5204fe1da70da52]

	ignore only auto-generated .m4 files

	Change-Id: I79c3085ce13b83f1a30e128e6b1ca9ad284ff50f

2017-03-31  David Tardon  <dtardon@redhat.com>  [cf0303b0ca57d3f54aa50686d38aaa149c02d034]

	oss-fuzz: avoid big allocations

	Change-Id: I852f5359241975931b384800042760723db05b3a

2017-03-30  David Tardon  <dtardon@redhat.com>  [7d1543b4f7bb4578735767141356bf61565a9fd9]

	astyle

	Change-Id: I6f5e0d95ec7a0e7d6c2db9e33d82568000747a3d

2017-03-30  David Tardon  <dtardon@redhat.com>  [c086308b7949770c0eed3e23c002f682109979be]

	refactor tests for -stream and -generators

	Change-Id: I18773ac08b926e1c4f3e87e9dd0c1bda1a1a2665

2017-03-30  David Tardon  <dtardon@redhat.com>  [2f1be67cec55af6fc694ec932a4a3f2c1d671af7]

	create fuzzing driver for oss-fuzz

	Change-Id: I9f778f52de5936f0555ec32d6deea8981dd6dc93

2017-03-12  dennisroczek  <dennisroczek@libreoffice.org>  [6a4eeaad573b42adaefc1cf425ebbbb8ae97d5ea]

	fix typo: usefull --> useful

	Change-Id: I58234c3a031e67b6140e05c9fb1c270c7a4508c6
	Reviewed-on: https://gerrit.libreoffice.org/35002
	Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
	Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ca14a80bcb129878bb95d1187a8f3761e65b0842]

	Parse Font scheme

	Change-Id: If2de16033a921443025f582431c4a4b03a9e7145

2017-02-23  David Tardon  <dtardon@redhat.com>  [8bfb5e3c19ab4e8aea09132881963facb76cfcda]

	zlib is not needed since the move to librevenge

	Change-Id: Ib83663e9cc7a808db966cd8dfb3fbcd1ee195da6

2017-02-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3f2307fafcf063ae3abd26df1b68acb6ef4821de]

	Reformat

	Change-Id: Ie279dc00725578641fd7780bb333047ec09fec36

2017-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fa12c4c3306da7c572bbd37c314f797d01cc26c1]

	We will need to override readXForm1D in VSD5Parser

	Change-Id: I95efbae6f33a34b16fcda3b013f3adb64bd84ea8

2017-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90bdec7116f35886a4a3bb687945e3ebbf9a9433]

	Some more reading of theme references

	Change-Id: Ic9dd48b086eef11e82ecac6b19b66669aea07844

2017-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ed97f8fb2124f3b19645b3ad5f756cabe88510eb]

	Theme fill and shadow colour

	Change-Id: I6659c65d0f940b3762b76dad01b3a353df59de9a

2017-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3b137389ae81d3b3ae326561d7a314e38afa5e4c]

	This one was wrong

	Change-Id: If578f9289aef9b4265545ef4b10215ea555091d7

2017-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fed7358999a4a49576cebc322fdf03848f130414]

	Return uninitialized boost::optional instead of default Colour value

	Change-Id: I7d3d48ac80cae9bc7fca5e5a8452122fef40c786

2017-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [94f36d00499808d7588a0970ce0dc7470d1245c7]

	Refactoring to get the text encoding from the font information

	Change-Id: I2261310cf4ef2635e44cc80db809e7ca9fc4409f

2017-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc7a4e0f70800fd747eaa7fef3e606d6bb9e5177]

	Remove stray debug output

	Change-Id: I97c9fd76eb48e944c60873f49ae215aa788db7b5

2017-01-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ea5f92515f98766062c2c24c0726ceb761abc19a]

	Deduce text encoding from font name

	Change-Id: I168765794d9d7598e2429f68f9a1d3c936ef8202

2017-01-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fd6c528dfb263f4bc6d288afd469089cfba0ef15]

	Wrong code for VSD_USER_DEFINED_CELLS

	Change-Id: I056e7e8fdc4b858bcfc8e992d12278ca08f44610

2016-12-12  David Tardon  <dtardon@redhat.com>  [da0d4a764f0e5862a2ed930b27b9c440ec397b90]

	add test for correct bmp output

	Change-Id: I7443f4408c3733542020aeab3a888baf48a231d1

2016-12-12  David Tardon  <dtardon@redhat.com>  [2e5496881e0b14da3a8c0acf5de6be0f49f80350]

	emit bmps with color palette correctly

	Change-Id: I731ab9629fdc08c54b43cdcb21a81633bd89f569

2016-11-29  David Tardon  <dtardon@redhat.com>  [079034b8aa1d4b7bd07a81ef46059cdb6b2f4b38]

	add test for text block with no bg color

	Change-Id: Ic6177cbea568c80d93774a95a3704077db42f62f

2016-11-29  David Tardon  <dtardon@redhat.com>  [a3cf2c6d02c29e0a69794ead64dd932fa9e3f24b]

	fix parsing of text block bg color in some cases

	It appears that if the color index is 0xff, no color should be set.

	Change-Id: I0dcea16ed5d61292d84e82904b863c1ccafd9d7a

2016-05-29  Julien Nabet  <serval2412@yahoo.fr>  [10f1e175b2dc83cc486614ac5a7a3b286eea7c0a]

	cppcheck: Prefer prefix ++/-- operators for non-primitive types

	Change-Id: Ib375053b5830f8120dccdfa4278c4138b02deba8

2016-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [21027b7349a17cc18f74b28e9f1b32358e47135f]

	Some reading of shape ids of shapes that a connector connects

	Change-Id: I0492fea6ad37a590580ec2c2a05ef2e990f9efa1

2016-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e30e70afdc4a12f2f9ec9e039b82f623447c34cf]

	Some work in view of parsing of connector information

	Change-Id: I4e8ce436e92c1a411960c0a923466206993ab8e3

2016-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [51fbff20ccea031a594cff6ed690d6073fa6c351]

	Use the ids of the shapes

	Change-Id: I3d8485e2b48a0c148528d39b85765b603ad3521d

2016-03-22  David Tardon  <dtardon@redhat.com>  [be8436672d46c5d2870b27265355e493fc7c86be]

	tdf#98791 remove namespace check for VDX

	... to allow import of documents created by 3rd-party applications that
	cannot be bothered to produce a valid XML (like lucidchart.com).

	Change-Id: I70dda9a7d6e90e84d0eb78bd4dfa153e3e093528

2016-02-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [237e3edb5a107d0928326ded5df3b0145f184ba4]

	Don't build test directory if we disabled tests

	Change-Id: Ibdf7dfa89186bc1b352601cb423a8dcd4809ecd6

2016-02-07  Andreas Sturmlechner  <andreas.sturmlechner@gmail.com>  [13431c9e425d93f61a7fc16f99f8d8c6e71ed82b]

	Enable building of unit tests without building tools

	Change-Id: I43fe1ace56c61f36d4dd0dedcf3f5438ee8c0b91

2016-01-18  David Tardon  <dtardon@redhat.com>  [c933df45a873e566c6ce4e5de5f829e64eb892f5]

	use UTC

	Change-Id: I03b40e2746ad90f2c7cf09560c218aab2a18090d

2016-01-18  David Tardon  <dtardon@redhat.com>  [a97d30ad693374deab404ec31fe00665882cc949]

	tdf#92396 test must be run in specific time zone

	Change-Id: Idc9d85ae8c5c1a6eccca7e830baa05a867ac4402

2016-01-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e076cd1b5a400b32a8aa49fc87feaf3b1d3ba52e]

	Read and use the information about scaling of the width of font

	Change-Id: Ica723149a7165577323a7eb6a258cd8bd79026b3

2016-01-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [49e7e5482d979866ac92981af0cf83d09610bc80]

	Consider stencil txtxform in binary formats (fixes tdf#67914)

	Change-Id: I45de3aab09de8320999476fb91814f048274a905

2016-01-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [683bfbe077060b4b9321ccb08004e487b2c05ace]

	Try even more look like visio for line rounding (not using arcs yet though)

	Change-Id: Ieadd5cc4ec26689f69d57c99fd5413b645adce38

2016-01-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3cd48cd4c896a77a07dcca0d0b01c067013e47f]

	Try to look a bit more like visio rounding

	Change-Id: I3ab893ec2e8851c93dc2882c73535e7a3955f9bb

2016-01-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [70f19aebaa21586aa2833b2685dc12fbfaea1923]

	Small improvement

	Change-Id: Id5832d351fb39c2d0889dbcecd12b1228e1a3e9b

2016-01-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2f36fc6cc89d5778f7f57632cecd516d06fc8d84]

	Extract logic in order to not repeat oneself

	Change-Id: I130ec67a55c486c5b3a0a9e4fb00bd7d1f22a057

2015-12-30  David Tardon  <dtardon@redhat.com>  [f6d1c0c6a281d37713fea9a8319b5a28cb457486]

	update README

	Change-Id: I6b973947508ff4f811372b13b09bd61008af22f7

2015-12-29  David Tardon  <dtardon@redhat.com>  [c64906f57fc989fd035f434720d0a28ea32cf9a5]

	update NEWS

	Change-Id: I054387196418801af78309995de8aac80264baf5

2015-12-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5e1dd4fe6b8fe15050139e63541c6950c9ca3bab]

	Bump version and start NEWS entries

	Change-Id: Ic6c6d0c5b8079e5cfd08e9294b3c73e2de2f8321

2015-12-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5e30daf905fc6d41caa3c50d78ebc66b9e70c05]

	Try to sort out 0-length path segments

	Change-Id: Icaf05be1675850e9b0ff233be0cc4cb5bf86ca6a

2015-12-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [53f7dacb2869feaa959f56a701f123839fbb8a80]

	Avoid equality comparison of doubles, which is prone to rounding errors

	Change-Id: I37ba61b95c6850ea008fd6f7ac042bea783249d7

2015-12-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d62d8b5f13b31b55706ad35fe69a871847a163e1]

	A horrendous hack to emulate line rounding property

	It needs some annotation not to forget the reasons behind
	the mess. I will do it later, since still tracking down
	little imperfections.

	Change-Id: Ic6f9d58d69047e3926cc62b899fbc379ebbd58cf

2015-12-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c006852738bc5ffa6cffd125e980b5cdd9ade7ba]

	Extract part of the path generation to be able to add rounding in next steps

	Change-Id: I6ce348c7b14ff324f106be9ab615dbfae546a178

2015-12-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd9f4c565f7af41b0e32f399430e3e20bb1c8797]

	Annotate the _flushText in order to extract it from Dr. Alzheimer's influence

	Change-Id: Icf2dc7b397688f464bc0de01d00c08992c82f88b

2015-12-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9df045f04190ed87d49a619821e6c16557a518cf]

	Remove unnecessary code. This works the same without it.

	Change-Id: I971775f35c8a4fc2d1955dd79e84f8486df9629e

2015-12-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f81b6a04609f1164ea4a006af43c2e9ce6dbf242]

	Avoid paragraphs without span and thus fix make check

	Change-Id: Id9376f0c4f63d092771d6c505b0ef9989e531005

2015-12-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [24a9ae3175685a60079547bfdea65a4a4c7eabc4]

	Trying to simplify the _flushText function and make it a bit more readable

	Change-Id: I5a94a699ecca68df7957bcd7506ed87ed2162f87

2015-12-27  David Tardon  <dtardon@redhat.com>  [1978e2d61843f70a3a6cc688074f7bd99d0fd718]

	update AUTHORS to reflect reality

	Change-Id: I9f01106c4cb5e51971388443970ea67dde7d21bc

2015-12-27  David Tardon  <dtardon@redhat.com>  [adab8d5047f0f316dd9c04d33664bfbb6aa72559]

	simplify dist. and inst. of headers

	Change-Id: Ie12aaf8c1fbb4241d0cb1d572d00662283ef2052

2015-12-27  David Tardon  <dtardon@redhat.com>  [c4f7fe74a12068ea3cbde8e5ea82b07e3cd3c8e3]

	make --help output more help2man-friendly

	Change-Id: Ibf1c4f868398b8e1c16ba0038f853d510c4dff21

2015-12-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46377333551996128b0b1b4a4d25eedbc35eee31]

	Use U+FFFC as field placeholder and output field only in one place

	Change-Id: I617ffd23b8577ae6ca71cfde07822a67cd683204

2015-12-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b33285f43cc30d1a464f55c25aee548761b9c0f0]

	Revert "WIP[0]: sanitize the _flushText mess"

	This reverts commit 31b0d9f6c9008c9e7b16cf79136afffc650a9fa9.

2015-12-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4785b4f9e40e72f0175e711121dc65ea96b298a1]

	WIP[1]: sanitize the _flushText mess

	Change-Id: I7e02cd0da6bcf5c2525d418c5fe07018f93c334e

2015-12-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [31b0d9f6c9008c9e7b16cf79136afffc650a9fa9]

	WIP[0]: sanitize the _flushText mess

	Change-Id: I31f533ae26714317512167c7075fbc737d5b833e

2015-12-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c5e856cfad9f39ac89e2f5dc9c4bff33acaa6787]

	Update NEWS for release

	Change-Id: I79aaf1bf92a74379863e71044b969e39373c5371

2015-12-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dd3e1aa57823acd021c8c37076bc2624b6946bfe]

	Parse bulletFont and bulletFontSize where applicable

	Change-Id: Ibc5ad36a379a3a5bac0c8d561d1d2b33fbde9f91

2015-12-22  David Tardon  <dtardon@redhat.com>  [72feb340c3eaecd73620388a6528e40797bada32]

	fix test: there are 2 paragraphs now

	Change-Id: I3413173c5dc9342fde246b767373975afbd458ab

2015-12-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1dfe3f4841700eddcbc4960f1a7d0a20916f7a36]

	Use a variable

	Change-Id: I10fc7bfaa565e229e953dda55c3dd7bdd57fef39

2015-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3d988f7dfeb7d1d15640b6b9df114122bd0e6036]

	At least Visio 1 and Visio 2 do not support bullets

	Change-Id: I3884028ab40c7106cbe51cb51036ec213d2b8a60

2015-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d75f197aec002592b3923550f90c25a1d1c6be20]

	At least Visio 1 and Visio 2 do not support bullets

	Change-Id: Ic1206d889247f27d7b81e6815af7caeae258d5e7

2015-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e1116a4cfb515b177e7b7203c0f8307431518c49]

	Some protection against non-empty pp cp and tp + special value of bulletStr

	Change-Id: Ifb8a8d287ed0e638c36a483b397f336841439036

2015-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46d75c2b3a02873097e3e64eb42c99422eda29d6]

	Masters might be an empty element

	Change-Id: I5035d759582e5862b7e4d07fe8b854ba07108197

2015-12-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [21bf4036d74cde752fc3cea6ce3cd7fca2d27829]

	Default value of this one is 0.25 inch

	Change-Id: Ifffa10e36836a27a48b74b19c9a947a99d1d0bd6

2015-12-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [303ad7bc004636c9008d3ca4314b731c6a4f9dde]

	0x0a is a paragraph break and not line break in visio

	Change-Id: Ib9f63146b408f7aec63fc7bc5bae82a8f8aec912

2015-12-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a41a69b78aa8a5407f6cdec419c5e7433388388b]

	Better looking fix

	Change-Id: I263f6eaa2c2506212948451cc3946e9b25756422

2015-12-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bf21d868c539d1664cbdd9d9ac15946637c6e6bd]

	Fix build with recent clang that chokes on "register" keyword

